<!doctype html>
<html lang="en">
<head>
  <title>@k33g</title>
  <meta name="description" content="">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta charset="utf-8">

  <!--
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="0" />
  -->

  <link rel="stylesheet" href="css/bulma.min.css">
  <style>
    .fonts {
      font-family: "Source Sans Pro", sans-serif;
    }
  </style>

<visual-review></visual-review>

</head>
  <body class="fonts">
    <!-- Main Title -->
    <div>
      <section class="hero is-bold is-info">
        <div class="hero-body">
          <div class="container">
            <h1 id="main_title" class="title is-1">
              <message>🖖 Hello Civo and GitPod 🌍</message> [Pod name: <pod></pod>]
            </h1>
            <h2 id="bub_title" class="subtitle">
              [<env-name></env-name>]
            </h2>
            <h2 id="bub_title" class="subtitle">
              made with 💚 and deployed 🚀 to Civo
            </h2>
            <h3><a class="button" id="issue_link">Create an issue</a></h3> 
          </div>
        </div>
      </section>
    </div>

    <!-- containers -->
    <div class="container">

      <section id="last" class="section" style="display: block;">
        <div class="container">
          <h1 class="title">
            <!-- -->👋 Zoo
          </h1>
          <div class="columns is-multiline">

            <!-- first column -->
            <div class="column is-one-quarter">
              <div class="card">
                <header class="card-header">
                  <p class="card-header-title title is-3" style="height:70px">
                    🐱 Cat
                  </p>
                </header>
                <div class="card-content">
                  <div class="content">
                    this is the content
                  </div> <!-- content -->
                </div> <!-- card-content -->
              </div> <!-- card -->
            </div> <!-- column -->

            <!-- second column -->
            <div class="column is-one-quarter">
              <div class="card">
                <header class="card-header">
                  <p class="card-header-title title is-3" style="height:70px">
                    🐼 Panda
                  </p>
                </header>
                <div class="card-content">
                  <div class="content">
                    this is the content
                  </div> <!-- content -->
                </div> <!-- card-content -->
              </div> <!-- card -->
            </div> <!-- column -->

            <!-- third column -->
            <div class="column is-one-quarter">
              <div class="card">
                <header class="card-header">
                  <p class="card-header-title title is-3" style="height:70px">
                    🐯 Tiger
                  </p>
                </header>
                <div class="card-content">
                  <div class="content">
                    this is the content
                  </div> <!-- content -->
                </div> <!-- card-content -->
              </div> <!-- card -->
            </div> <!-- column -->

          </div>
        </div>
      </section>

    </div>

    <script>
      fetch('/hello', {
        method: 'get',
        headers : { 
          "Content-Type": "application/json",
          "Accept": "application/json"
        }
      })
      .then(response => response.text())
      .then(text => {
        //console.log(text)
        let payload = JSON.parse(text)
        console.log(payload)
				let projectUrl = payload.project.projectUrl
				let newIssueUrl = `${projectUrl}/-/issues/new`
				// https://gitlab.com/tanuki-workshops/henix/webapp-demo/-/issues/new
        // https://gitlab.com/tanuki-workshops/henix/webapp-demo/-/issues/new
        document.querySelector("message").innerHTML=payload.message
        document.querySelector("pod").innerHTML=payload.pod
        document.querySelector("env-name").innerHTML=payload.environment.name

				let link = document.getElementById("issue_link")
				link.setAttribute('href', newIssueUrl)

        /*
        if(payload.project.ciMergeRequestIId!=="") {
          let visualReview = document.getElementById("visual_review")
          visualReview.setAttribute("data-project-id", payload.project.ciProjectId)
          visualReview.setAttribute("data-merge-request-id", payload.project.ciMergeRequestIId)
          visualReview.setAttribute("data-mr-url", "https://gitlab.com")
          visualReview.setAttribute("data-project-path", payload.project.ciProjectPath)
          visualReview.setAttribute("data-require-auth", "true")
          visualReview.setAttribute("id", "review-app-toolbar-script")
          visualReview.setAttribute("src", "https://gitlab.com/assets/webpack/visual_review_toolbar.js")
        }
        */


      })    
    
      var intervalID = setInterval(myCallback, 500)

      function myCallback(){
        fetch('/hello', {
          method: 'get',
          headers : { 
            "Content-Type": "application/json",
            "Accept": "application/json"
          }
        })
        .then(response => response.text())
        .then(text => {
          let payload = JSON.parse(text)
          document.querySelector("pod").innerHTML=payload.pod
        })
      }


    </script>
  </body>

</html>
